Skip to main content
POST
/
v1
/
tasks
/tasks
curl --request POST \
  --url https://api.linkup.so/v1/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
[
  {
    "input": {
      "depth": "deep",
      "excludeDomains": [
        "wikipedia.org"
      ],
      "includeDomains": [
        "microsoft.com",
        "agolution.com"
      ],
      "outputType": "sourcedAnswer",
      "q": "What is Microsoft's 2024 revenue?"
    },
    "type": "search"
  },
  {
    "input": {
      "extractImages": false,
      "includeRawHtml": false,
      "renderJs": false,
      "url": "https://docs.linkup.so"
    },
    "type": "fetch"
  },
  {
    "input": {
      "excludeDomains": [
        "wikipedia.org"
      ],
      "includeDomains": [
        "microsoft.com",
        "agolution.com"
      ],
      "includeImages": true,
      "outputType": "sourcedAnswer",
      "q": "What is Microsoft's 2024 revenue?"
    },
    "type": "research"
  }
]
EOF
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "error": "<string>",
    "id": "01234-abcd-56789",
    "status": "completed",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "input": {
      "includeImages": false,
      "includeInlineCitations": false,
      "includeSources": false,
      "outputType": "searchResults",
      "q": "What is Microsoft's 2024 revenue?",
      "toDate": "2025-01-01",
      "depth": "deep",
      "excludeDomains": [
        "wikipedia.org"
      ],
      "fromDate": "2025-01-01",
      "includeDomains": [
        "microsoft.com",
        "agolution.com"
      ],
      "maxResults": 5,
      "structuredOutputSchema": null
    },
    "output": {
      "answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
      "sources": [
        {
          "name": "Microsoft 2024 Annual Report",
          "snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
          "url": "https://www.microsoft.com/investor/reports/ar24/index.html"
        }
      ]
    },
    "type": "<string>"
  }
]

Get your API key

Create a Linkup account for free to get your API key.
This is an asynchronous endpoint — it immediately returns the tasks’ identifiers, before it is completed. Use GET /v1/tasks/:id to poll for the result, or GET /v1/tasks to list all your tasks.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements
input
object
required
type
string
required
Allowed value: "search"
Example:
[
{
"input": {
"depth": "deep",
"excludeDomains": ["wikipedia.org"],
"includeDomains": ["microsoft.com", "agolution.com"],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": false,
"includeRawHtml": false,
"renderJs": false,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"excludeDomains": ["wikipedia.org"],
"includeDomains": ["microsoft.com", "agolution.com"],
"includeImages": true,
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "research"
}
]

Response

Tasks created successfully.

createdAt
string<date-time>
required

The date and time when the task was created.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-01-01T00:00:00.000Z"

error
string | null
required

The error message if the task failed.

id
string
required

The unique identifier of the task.

Example:

"01234-abcd-56789"

status
enum<string>
required

The current status of the task.

Available options:
completed,
failed,
pending,
processing
Example:

"completed"

updatedAt
string<date-time>
required

The date and time when the task status was last updated.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-01-01T00:00:00.000Z"

input
object
required
output
object
required
type
string
required
Allowed value: "search"